Package com.sas.lsaf.query

## Class Condition

- java.lang.Object
- - com.sas.lsaf.query.Condition

- All Implemented Interfaces:
    `Constraint`, `java.io.Serializable`

      public class Condition
      extends java.lang.Object
      implements Constraint

  This class represents a compound expression in which to query information. It is equivalent to a WHERE clause to determine the rows that are relevant to a query.
  Since:
    2.3
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Condition.Operator` | The method by which to combine conditions for a query.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Condition()` |
    `Condition​(Condition.Operator operator)` |
    `Condition​(Condition.Operator operator, java.util.List<Constraint> constraints)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Condition` | `addConstraint​(Constraint constraint)` |
    `static Condition` | `and​(Constraint... constraints)` |
    `static Condition` | `and​(java.util.List<Constraint> constraints)` |
    `Condition` | `constraints​(java.util.List<Constraint> cs)` |
    `java.util.List<Constraint>` | `getConstraints()` |
    `Condition.Operator` | `getOperator()` |
    `Condition` | `operator​(Condition.Operator o)` |
    `static Condition` | `or​(Constraint... constraints)` |
    `static Condition` | `or​(java.util.List<Constraint> constraints)` |
    `void` | `setConstraints​(java.util.List<Constraint> constraints)` |
    `void` | `setOperator​(Condition.Operator operator)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Condition

          public Condition()

    - #### Condition

          public Condition​(Condition.Operator operator)

    - #### Condition

          public Condition​(Condition.Operator operator,
                           java.util.List<Constraint> constraints)

  - ### Method Detail

    - #### getOperator

          public Condition.Operator getOperator()

    - #### setOperator

          public void setOperator​(Condition.Operator operator)

    - #### getConstraints

          public java.util.List<Constraint> getConstraints()

    - #### setConstraints

          public void setConstraints​(java.util.List<Constraint> constraints)

    - #### operator

          public Condition operator​(Condition.Operator o)

    - #### constraints

          public Condition constraints​(java.util.List<Constraint> cs)

    - #### addConstraint

          public Condition addConstraint​(Constraint constraint)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### and

          public static Condition and​(java.util.List<Constraint> constraints)

    - #### and

          public static Condition and​(Constraint... constraints)

    - #### or

          public static Condition or​(java.util.List<Constraint> constraints)

    - #### or

          public static Condition or​(Constraint... constraints)